greaterThan(QT_MAJOR_VERSION, 4): cache()

QT       += core gui opengl svg

CONFIG += c++11
lessThan(QT_MAJOR_VERSION, 5): macx{
  QMAKE_CXXFLAGS += -std=c++11 -stdlib=libc++ -mmacosx-version-min=10.7
  QMAKE_LFLAGS += -std=c++11 -stdlib=libc++ -mmacosx-version-min=10.7
}
unix: !macx {
  CONFIG -= c++11
  QMAKE_CXXFLAGS += -std=c++11 -fpermissive -fPIC
  QMAKE_LFLAGS += -std=c++11 -fpermissive -fPIC
}

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

# disable as many warnings as possible
CONFIG += warn_off

TARGET = LearningQuadrangulations
TEMPLATE = app

# include vcg
VCGLIBDIR = ../vcglib
INCLUDEPATH += $$VCGLIBDIR
INCLUDEPATH += $$VCGLIBDIR/eigenlib
DEPENDPATH += $$VCGLIBDIR
SOURCES += $$VCGLIBDIR/wrap/ply/plylib.cpp \
           $$VCGLIBDIR/wrap/gui/trackball.cpp \
           $$VCGLIBDIR/wrap/gui/trackmode.cpp

# include core
include(LearningQuadrangulationsCore.pri)

# include first local path
macx{
  INCLUDEPATH += /usr/local/include
  LIBS += -L/usr/local/lib
}

# link GLEW
win32 {
  LIBS += -lglew32s
}
unix {
  LIBS += -lGLEW
}

# link GLUT
unix: !macx {
  LIBS += -lGLU
}

win32 {
    DEFINES += \
        NO_SIGACTION \
        NPARASCIP \
        GLEW_STATIC \
        FREEGLUT_STATIC \
        NO_STRTOK_R \
        NO_RAND_R \
        _SILENCE_STDEXT_HASH_DEPRECATION_WARNINGS
    QMAKE_CXXFLAGS_RELEASE -= /O2
    QMAKE_CXXFLAGS_RELEASE += /Od /Zi /DEBUG /bigobj
    QMAKE_LFLAGS_RELEASE += /DEBUG
    CONFIG += console
}

# link sqlite
LIBS += -lsqlite3

DEFINES += SPLIT_POLYCHORD_LOOPS

HEADERS += \
    glarea.h \
    mainwindow.h \
    mesh_utilities.h \
    patchrenderer.h \
    spinbox.h \
    render_data.h \
    patchretopo.h

SOURCES += \
    glarea.cpp \
    main.cpp \
    mainwindow.cpp \
    patchrenderer.cpp \
    patchretopo.cpp

FORMS += \
    mainwindow.ui

DEPENDPATH += .
